Subject: Re: IPP>MOD - Attribute conformance

From: [email-masked]
Date: Sat, 05 Apr 1997 16:39:59 +0200

The discussion on "supported" attributes sounds to me to indicate
that the document needs more words to define "support", and define
requirements for an IPP printer.

Suggested:

- Unsupported: The printer has no idea what this attribute name means.
  On GET, it does not return it, ever.
- Recognized: The printer has code that recognizes the attribute name,
  but is not able to choose action paths based on it (for instance, it
  only supports one tray, or does not know its own medium).
  On GET, it returns its standard value; on PRINT, it does the Right Thing.
- Supported: The printer has code that performs different actions for
  different values of the attribute, or on presence/absence of the attribute.

I think you need to specify which keywords go into which category for a
minimally conformant printer; all extensions would HAVE to go into the
"May be Unsupported" category.

                  Harald A